Default [Q] AllianceROM v5 work with 4.4.2

i have 4.4.2 on my note 3 n900a my question is will the AllianceROM work with my cell even tho i have 4.4.2

link to ROM:http://forum.xda-developers.com/show...1889&nocache=1